/* filename:    bdpapmom.g
** description: Metropolis Hastings Batch
** created:     11/05/01
*/

new;
closeall;
library pgraph, user;
cls;

#include c:\projects\active\dsgeprio\Gausscgg\pathspec.g
#include c:\projects\active\dsgeprio\Gausscgg\varspec.g

mhrun   = "1";

nburn   = 1;         /* Number of initial draws to be discarded */
hpdprob = 0.90 ;
nblock  = 500;

outstr = outpath $+ "\\dpapmom" $+ mhrun $+ ".out";

output file = ^outstr reset;
output file = ^outstr off;


Tind = 1;
do until Tind > rows(Tgrid);

   T0 = Tgrid[Tind,1];
   Tend = Tgrid[Tind,2];

   lamind = 1;
   do until lamind > rows(lamgrid);

      locate 1,1;
      "Sample Iteration" Tind "of" rows(Tgrid);
      "Lambda Iteration" Lamind "of" rows(lamgrid);

      lambda = lamgrid[lamind];
      gosub runproc;

      lamind = lamind+1;

   endo;

   Tind = Tind+1;  

endo;

end;

runproc:

screen off;
output file = ^outstr on;
"";
"";
"";
"=========================================================";
"Index L,T" lamind Tind;
"LAMBDA = " lambda;
"T0     = " T0;
"TEND   = " TEND;
"MSPEC  = " mspec;
"MHRUN  = " $mhrun;
"---------------------------------------------------------";
output file = ^outstr off;
screen on;

#include c:\projects\active\dsgeprio\Gausscgg\procs\dpapmom.g

return;
