/* filename:    bdpolicy.g
** description: Metropolis Hastings Batch
** created:     11/05/01
*/

new;
closeall;
library pgraph, user;
cls;

#include c:\projects\active\dsgeprio\Gausscgg\pathspec.g
#include c:\projects\active\dsgeprio\Gausscgg\varspec.g

mhrun   = "1";
mhrunp  = "1p";

outstr = outpath $+ "\\mpolicy" $+ mhrun $+ ".out";

output file = ^outstr reset;
output file = ^outstr off;

/* The following parameters are considered 
** policy parameters:
** para[6] = psi1
** para[7] = psi2
** para[8] = rhor
*/

/* select parameters that are affected by policy
*/
pol_effect = 1 ~ 0 ~ 0;

/* specify magnitude of policy change
*/
pol_mean = 1.00  ~ 0.0  ~ 0;
pol_std  = 0.00  ~ 0.0  ~ 0;


Tind = 1;
do until Tind > rows(Tgrid);

   T0 = Tgrid[Tind,1];
   Tend = Tgrid[Tind,2];

   lamind = 1;
   do until lamind > rows(lamgrid);

      locate 1,1;
      "Sample Iteration" Tind "of" rows(Tgrid);
      "Lambda Iteration" Lamind "of" rows(lamgrid);

      lambda = lamgrid[lamind];
      gosub runproc;

      lamind = lamind+1;

   endo;

   Tind = Tind+1;  

endo;

end;

runproc:

screen off;
output file = ^outstr on;
"";
"";
"";
"=========================================================";
"Index L,T" lamind Tind;
"LAMBDA = " lambda;
"T0     = " T0;
"TEND   = " TEND;
"MSPEC  = " mspec;
"Policy";
pol_effect;
pol_mean;
pol_std;
"---------------------------------------------------------";
output file = ^outstr off;
screen on;

#include c:\projects\active\dsgeprio\Gausscgg\procs\dpolicy.g

return;
