/* filename:    bmarghes.g
** description: compute hessian matrix
** created:     11/05/01
*/

new;
library pgraph, user, cialib;
cls;

__output = 0;

#include c:\projects\active\dsgeprio\Gausscgg\pathspec.g
#include c:\projects\active\dsgeprio\Gausscgg\varspec.g

outstr = outpath $+ "\\marghess.out";

output file = ^outstr reset;
output file = ^outstr off;

dxscale = 1 | 1 | 0.5 | 10 | 10 | 20 | 10 | 10 | 1 | 50 | 1 | 1 | 1;

bicsim    = zeros(rows(Tgrid),rows(lamgrid));
lamhat    = zeros(rows(Tgrid),1);
lamhatind = zeros(rows(Tgrid),1);

Tind = 1;
do until Tind > rows(Tgrid);

   T0 = Tgrid[Tind,1];
   Tend = Tgrid[Tind,2];

   #include c:\projects\active\dsgeprio\Gausscgg\procs\loaddat2.g   

   lamind = 1;
   do until lamind > rows(lamgrid);

      locate 1,1;
      "Sample Iteration" Tind "of" rows(Tgrid);
      "Lambda Iteration" Lamind "of" rows(lamgrid);

      lambda = lamgrid[lamind];
      gosub runproc;
      pop laplaceapprox;
      bicsim[Tind,lamind] = laplaceapprox;       

      lamind = lamind+1;

   endo;

   lamhat[Tind,1]    = lamgrid[maxindc(bicsim[Tind,.]'),1];
   lamhatind[Tind,1] = maxindc(bicsim[Tind,.]');
   
   Tind = Tind+1;  

endo;

/* Initialize Output file
*/
lmodel    = "vd" $+ ftos(mspec,"%*.*lf",1,0);

obic    = postpath $+ "\\" $+ lmodel $+ "bic";
olamhat = postpath $+ "\\" $+ lmodel $+ "labic";

create fhbic=^obic with BIC, cols(bicsim), 8;
wr = writer(fhbic,bicsim);

create fhlamhat = ^olamhat with LAM, rows(Tgrid), 8;
wr = writer(fhlamhat,lamhatind');
wr = writer(fhlamhat,lamhat');

closeall fhbic,fhlamhat;

end;

runproc:

screen off;
output file = ^outstr on;
"";
"";
"";
"=========================================================";
"Index L,T" lamind Tind;
"LAMBDA = " lambda;
"T0     = " T0;
"TEND   = " TEND;
"MSPEC  = " mspec;
"---------------------------------------------------------";
output file = ^outstr off;
screen on;

#include c:\projects\active\dsgeprio\Gausscgg\procs\marghess.g

return(laplaceapprox);

#include c:\projects\active\dsgeprio\Gausscgg\procs\prioproc.g
#include c:\projects\active\dsgeprio\Gausscgg\procs\dsgemod.src