/* filename:    bmargmh.g
** description: Metropolis Hastings Batch
** created:     11/05/01
*/

new;
closeall;
library pgraph, user;
cls;

#include c:\projects\active\dsgeprio\Gausscgg\pathspec.g
#include c:\projects\active\dsgeprio\Gausscgg\varspec.g

mhrun   = "1";
cc0     = 0.2;
cc      = 0.3;
nblocks = 10;
nsim    = 100;

_bounds =
    (-1   ~ 10 )|
    (-1   ~ 10 )|
    (1E-6 ~ 10 )|
    (1E-6 ~ 10  )|
    (1E-5 ~ 100 )|
    (1E-5 ~ 10  )|
    (1E-5 ~ 10  )|
    (1E-6 ~ 0.9999999 )|
    (1E-6 ~ 0.9999999 )|
    (1E-6 ~ 0.9999999 )|
    (1E-7 ~ 500     )|
    (1E-7 ~ 500     )|
    (1E-7 ~ 500     );


outstr = outpath $+ "\\margmh" $+ mhrun $+ ".out";

output file = ^outstr reset;
output file = ^outstr off;


Tind = 1;
do until Tind > rows(Tgrid);

   T0 = Tgrid[Tind,1];
   Tend = Tgrid[Tind,2];

   #include c:\projects\active\dsgeprio\Gausscgg\procs\loaddat2.g   

   lamind = 1;
   do until lamind > rows(lamgrid);

      locate 1,1;
      "Sample Iteration" Tind "of" rows(Tgrid);
      "Lambda Iteration" Lamind "of" rows(lamgrid);

      lambda = lamgrid[lamind];
      gosub runproc;

      lamind = lamind+1;

   endo;

   Tind = Tind+1;  

endo;

end;

runproc:

screen off;
output file = ^outstr on;
"";
"";
"";
"=========================================================";
"Index L,T" lamind Tind;
"LAMBDA = " lambda;
"T0     = " T0;
"TEND   = " TEND;
"MSPEC  = " mspec;
"---------------------------------------------------------";
output file = ^outstr off;
screen on;

#include c:\projects\active\dsgeprio\Gausscgg\procs\margmh.g

return;

#include c:\projects\active\dsgeprio\Gausscgg\procs\prioproc.g
#include c:\projects\active\dsgeprio\Gausscgg\procs\dsgemod.src