/* filename:    bmargpm.g
** description: posterior mode batch
** created:     11/05/01
*/

new;
library pgraph, user;
cls;
__output = 0;
crit= 1E-8;


#include c:\projects\active\dsgeprio\Gausscgg\pathspec.g
#include c:\projects\active\dsgeprio\Gausscgg\varspec.g

outstr = outpath $+ "\\margpm.out";

output file = ^outstr reset;
output file = ^outstr off;

/******************************************************** 
** Starting Values for Maximization
*/
lngamm  = 0.5;
lnpist  = 1;
lnrrst  = 0.5;
kap     = 0.4;
tau     = 1;
psi1    = 2.5;
psi2    = 0.3;
rhor    = 0.4;
rhog    = 0.8;
rhoz    = 0.2;
sigr    = 0.5;
sigg    = 0.5;
sigz    = 1;

para = lngamm | lnpist | lnrrst | kap | tau | psi1 | psi2 |
       rhor | rhog | rhoz | sigr | sigg | sigz;

para_names = { LGA LPi Lrr KAP TAU PPi PYp RoR RoG RoZ SiR SiG SiZ };
save path = ^priopath para_names;

/******************************************************** 
** Iterate over lambda and subsamples
*/

Tind = 1;
do until Tind > rows(Tgrid);

   T0 = Tgrid[Tind,1];
   Tend = Tgrid[Tind,2];

   #include c:\projects\active\dsgeprio\Gausscgg\procs\loaddat2.g   

   lamind = 1;
   do until lamind > rows(lamgrid);

      lambda = lamgrid[lamind];
      gosub runproc;

      if __output == 1;
        cls;
      endif;

      locate 1,1;
      "Sample Iteration" Tind "of" rows(Tgrid);
      "Lambda Iteration" Lamind "of" rows(lamgrid);

      lamind = lamind+1;

   endo;

   Tind = Tind+1;  

endo;
end;

runproc:

screen off;
output file = ^outstr on;
"";
"";
"";
"=========================================================";
"Index L,T" lamind Tind;
"LAMBDA = " lambda;
"T0     = " T0;
"TEND   = " TEND;
"MSPEC  = " MSPEC;
"---------------------------------------------------------";
output file = ^outstr off;
screen on;

#include c:\projects\active\dsgeprio\Gausscgg\procs\margpm.g

return;

#include c:\projects\active\dsgeprio\Gausscgg\procs\prioproc.g
#include c:\projects\active\dsgeprio\Gausscgg\procs\dsgemod.src