/* filename:    bvddrawh.g
** description: VAR Draw Batch: DSGE Model Prior
** created:     11/05/01
*/

new;
closeall;
library pgraph, user;
cls;

#include c:\projects\active\dsgeprio\Gausscgg\pathspec.g
#include c:\projects\active\dsgeprio\Gausscgg\varspec.g

mhrun = "1";
outstr = outpath $+ "\\vddrawh" $+ mhrun $+ ".out";

output file = ^outstr reset;
output file = ^outstr off;

nblock   = 1000;         /* block size */

/* Extend lambda grid for lam = 0 (unrestr VAR)
*/
lamgridex = 0 | lamgrid;

Tind = 1;
do until Tind > rows(Tgrid);

   T0 = Tgrid[Tind,1];
   Tend = Tgrid[Tind,2];

   #include c:\projects\active\dsgeprio\Gausscgg\procs\loaddat2.g   

   lamindex = 1;
   do until lamindex > rows(lamgridex);

      locate 1,1;
      "Sample Iteration" Tind "of" rows(Tgrid);
      "Lambda Iteration" Lamindex "of" rows(lamgridex);

      lambda = lamgridex[lamindex];
      lamind = lamindex - 1;
      gosub runproc;

      lamindex = lamindex+1;

   endo;

   Tind = Tind+1;  

endo;

end;

runproc:
screen off;
output file = ^outstr on;
"";
"";
"";
"=========================================================";
"Index L,T" lamind Tind;
"LAMBDA = " lambda;
"T0     = " T0;
"TEND   = " TEND;
"MSPEC  = " mspec;
"---------------------------------------------------------";
output file = ^outstr off;
screen on;

#include c:\projects\active\dsgeprio\Gausscgg\procs\vddrawh.g

return;

#include c:\projects\active\dsgeprio\Gausscgg\procs\prioproc.g
#include c:\projects\active\dsgeprio\Gausscgg\procs\dsgemod.src