/* filename:    bvdmcdd.g
** description: Data Density Batch
** created:     11/05/01
*/

new;
closeall;
library pgraph, user, cialib;
cls;

#include c:\projects\active\dsgeprio\Gausscgg\pathspec.g
#include c:\projects\active\dsgeprio\Gausscgg\varspec.g

modelid    = ftos(mspec,"%*.*lf",1,0);
lmodel    = "vd" $+ modelid;

mhrun   = "1";
nburn   = 1;
nblock  = 100;
densfac = 200;
hmax    = 5;

outstr = outpath $+ "\\vdmcdd" $+ mhrun $+ ".out";

output file = ^outstr reset;
output file = ^outstr off;


bicsim    = zeros(rows(Tgrid),rows(lamgrid));
lamhat    = zeros(rows(Tgrid),1);
lamhatind = zeros(rows(Tgrid),1);

Tind = 1;
do until Tind > rows(Tgrid);

   T0 = Tgrid[Tind,1];
   Tend = Tgrid[Tind,2];

   lamind = 1;
   do until lamind > rows(lamgrid);

      locate 1,1;
      "Sample Iteration" Tind "of" rows(Tgrid);
      "Lambda Iteration" Lamind "of" rows(lamgrid);

      lambda = lamgrid[lamind];
      gosub runproc;

      pop pyhat;
      bicsim[Tind,lamind] = pyhat;       


      lamind = lamind+1;

   endo;

   lamhat[Tind,1]    = lamgrid[maxindc(bicsim[Tind,.]'),1];
   lamhatind[Tind,1] = maxindc(bicsim[Tind,.]');


   Tind = Tind+1;  

endo;

/* Create Output files
*/
obic    = parapath $+ "\\" $+ "mhrun" $+ mhrun $+ "\\" $+ lmodel $+ "dd";
olamhat = parapath $+ "\\" $+ "mhrun" $+ mhrun $+ "\\" $+ lmodel $+ "ladd";

create fhbic=^obic with DD, cols(bicsim), 8;
wr = writer(fhbic,bicsim);

create fhlamhat = ^olamhat with LAM, rows(Tgrid), 8;
wr = writer(fhlamhat,lamhatind');
wr = writer(fhlamhat,lamhat');

closeall fhbic,fhlamhat;

end;

runproc:

screen off;
output file = ^outstr on;
"";
"";
"";
"=========================================================";
"Index L,T" lamind Tind;
"LAMBDA = " lambda;
"T0     = " T0;
"TEND   = " TEND;
"MSPEC  = " mspec;
"---------------------------------------------------------";
output file = ^outstr off;
screen on;

#include c:\projects\active\dsgeprio\Gausscgg\procs\vdmcdd.g

return(pyhat);
