/* filename:    bvirf.g
** description: VAR IRF Batch
** created:     11/05/01
*/

new;
closeall;
library pgraph, user;
cls;

#include c:\projects\active\dsgeprio\Gausscgg\pathspec.g
#include c:\projects\active\dsgeprio\Gausscgg\varspec.g

/* Model ID: v[mspec] for VAR(DSGE)
**           vm       for VAR(MINN)
*/

modelid = ftos(mspec,"%*.*lf",1,0);

lmodel = "vd" $+ modelid;
omodel = "v"  $+ modelid;

mhrun   = "1";
outstr = outpath $+ "\\virf" $+ mhrun $+ ".out";



output file = ^outstr reset;
output file = ^outstr off;

nblock   = 100;         /* block size */

/* Extend lambda grid for lam = 0 (unrestr VAR)
*/
lamgridex = 0 | lamgrid;

Tind = 1;
do until Tind > rows(Tgrid);

   T0 = Tgrid[Tind,1];
   Tend = Tgrid[Tind,2];

   lamindex = 1;
   do until lamindex > rows(lamgridex);

      locate 1,1;
      "Sample Iteration" Tind "of" rows(Tgrid);
      "Lambda Iteration" Lamindex "of" rows(lamgridex);

      lambda = lamgridex[lamindex];
      lamind = lamindex - 1;
      gosub runproc;

      lamindex = lamindex+1;

   endo;

   Tind = Tind+1;  

endo;

end;

runproc:
screen off;
output file = ^outstr on;
"";
"";
"";
"=========================================================";
"Index L,T" lamind Tind;
"LAMBDA = " lambda;
"T0     = " T0;
"TEND   = " TEND;
"VAR TYPE=" $lmodel
"---------------------------------------------------------";
output file = ^outstr off;
screen on;

#include c:\projects\active\dsgeprio\Gausscgg\procs\virf.g

return;
