/* filename:    bvmdraw.g
** description: VAR Draw Batch: Minnesota Prior
** created:     11/05/01
*/

new;
closeall;
library pgraph, user;
cls;

#include c:\projects\active\dsgeprio\Gausscgg\pathspec.g
#include c:\projects\active\dsgeprio\Gausscgg\varspec.g

mhrun = "1";
outstr = outpath $+ "\\vmdraw" $+ mhrun $+ ".out";

output file = ^outstr reset;
output file = ^outstr off;

nsim     = 100;           /* block size */
nblock   = 10;            /* number of blocks */

/* Extend lambda grid for lam = 0 (unrestr VAR)
*/
zetgridex = 0 | zetgrid;

Tind = 1;
do until Tind > rows(Tgrid);

   T0   = Tgrid[Tind,1];
   Tend = Tgrid[Tind,2];

   #include c:\projects\active\dsgeprio\Gausscgg\procs\loaddat2.g   

   zetindex = 1;
   do until zetindex > rows(zetgridex);

      locate 1,1;
      "Sample Iteration" Tind "of" rows(Tgrid);
      "Zeta Iteration  " zetindex "of" rows(zetgridex);

      zeta   = zetgridex[zetindex];
      zetind = zetindex - 1;
      gosub runproc;

      zetindex = zetindex+1;

   endo;

   Tind = Tind+1;  

endo;

end;

runproc:
screen off;
output file = ^outstr on;
"";
"";
"";
"=========================================================";
"Index L,T" zetind Tind;
"ZETA   = " zeta;
"T0     = " T0;
"TEND   = " TEND;
"---------------------------------------------------------";
output file = ^outstr off;
screen on;

#include c:\projects\active\dsgeprio\Gausscgg\procs\vmdraw.g

return;

#include c:\projects\active\dsgeprio\Gausscgg\procs\prioproc.g
#include c:\projects\active\dsgeprio\Gausscgg\procs\dsgemod.src