/* filename:    bvmmcdd.g
** description: Data Density Batch
** created:     11/05/01
*/

new;
closeall;
library pgraph, user;
cls;

#include c:\projects\active\dsgeprio\Gausscgg\pathspec.g
#include c:\projects\active\dsgeprio\Gausscgg\varspec.g

modelid    = ftos(mspec,"%*.*lf",1,0);
lmodel    = "vm";

mhrun   = "1";
nburn   = 1;
nblock  = 500;
densfac = -250;
hmax    = 5;

outstr = outpath $+ "\\vmmcdd" $+ mhrun $+ ".out";

output file = ^outstr reset;
output file = ^outstr off;


bicsim    = zeros(rows(Tgrid),rows(zetgrid));
zethat    = zeros(rows(Tgrid),1);
zethatind = zeros(rows(Tgrid),1);

Tind = 1;
do until Tind > rows(Tgrid);

   T0 = Tgrid[Tind,1];
   Tend = Tgrid[Tind,2];

   zetind = 1;
   do until zetind > rows(zetgrid);

      locate 1,1;
      "Sample Iteration" Tind "of" rows(Tgrid);
      "Zeta   Iteration" zetind "of" rows(zetgrid);

      zeta = zetgrid[zetind];
      gosub runproc;

      pop pyhat;
      bicsim[Tind,zetind] = pyhat;       


      zetind = zetind+1;

   endo;

   zethat[Tind,1]    = zetgrid[maxindc(bicsim[Tind,.]'),1];
   zethatind[Tind,1] = maxindc(bicsim[Tind,.]');


   Tind = Tind+1;  

endo;

/* Create Output files
*/
obic    = parapath $+ "\\" $+ "mhrun" $+ mhrun $+ "\\" $+ lmodel $+ "dd";
ozethat = parapath $+ "\\" $+ "mhrun" $+ mhrun $+ "\\" $+ lmodel $+ "ladd";

create fhbic=^obic with DD, cols(bicsim), 8;
wr = writer(fhbic,bicsim);

create fhzethat = ^ozethat with ZET, rows(Tgrid), 8;
wr = writer(fhzethat,zethatind');
wr = writer(fhzethat,zethat');

closeall fhbic,fhlamhat;

end;

runproc:

screen off;
output file = ^outstr on;
"";
"";
"";
"==========================================================";
"Index Z,T" zetind Tind;
"ZETA   = " zeta;
"T0     = " T0;
"TEND   = " TEND;
"----------------------------------------------------------";
output file = ^outstr off;
screen on;

#include c:\projects\active\dsgeprio\Gausscgg\procs\vmmcdd.g

return(pyhat);
