/* filename: dsgetest.g
** created:  10/18/01
** Modifications:
**
*/
new;
cls;
library pgraph, user;
_fcmptol = 1E-10;
#include c:\projects\active\dsgeprio\gausscgg\varspec.g
#include c:\projects\active\dsgeprio\gausscgg\procs\dsgemod.src
/* Select Policy Rule
** msel = 1: current inflation
** msel = 2: future inflation
*/
   msel = 1;
   nvar = 3;
   
/* Define model parameters
** Note: ph1 is lower case phi, ph2 is upper case phi
*/
  
   lngam   = 0.005;
   lnpist  = 0.01;
   lnrrst  = 0.005;
   kap     = 0.4;
   tau     = 1;
   psi1    = 1.3;
   psi2    = 0.4;
   rhor    = 0.7;
   rhog    = 0.9;
   rhoz    = 0.3;
   
   sigr  = 1;
   sigg  = 1;
   sigz  = 1;


   para  = lngam | lnpist |lnrrst | kap | tau | psi1 | psi2 | rhor | rhog | rhoz |
           sigr | sigg | sigz;


"Parameters"; para';
"Specification"; msel;

/********************************************************************
** Plot Impulse Response Function
********************************************************************/

nirf = 40;
ti = seqa(1,1,nirf);

titlestr = "Monetary Shock"  $|
           "Government Shock" $|
           "Technology Shock" ;

ystr     = "Output" $|
           "Inflation" $|
           "Nom Interest";

graphset;
fonts("microb");
_ptitlht = 0.4;
_paxht = 0.4;
_pnumht = 0.4;
          
begwind;
window(3,3,0);

shockind = 1;

do until shockind > 3;

   impulse = zeros(3,1);
   impulse[shockind] = 1;
   impulse = impulse.*(sigr|sigg|sigz);

   /* compute IRFs
   */
   yyirf = dsgeirf(para,msel,nirf,impulse);

   yind = 1;
   do until yind > nvar;
  
      title(titlestr[shockind]);
      ylabel(ystr[yind]);
      xy(ti,yyirf[.,yind]);

      nextwind;
      yind = yind+1;

   endo;

   shockind = shockind+1;

endo;
endwind;
end;
