/* filename:    plplot.g
** description: The program plots the 
**              effect of the policy changes
** created:     11/06/01
*/

new;
closeall;
library pgraph, user, cialib;
cls;

#include c:\projects\active\dsgeprio\Gausscgg\pathspec.g
#include c:\projects\active\dsgeprio\Gausscgg\varspec.g

mhrun    = "1";
mhrunpol = "1p";

modelid = ftos(mspec,"%*.*lf",1,0);

/* Fix Time Period
*/
Tind = 1;
T0   = Tgrid[Tind,1];
Tend = Tgrid[Tind,2];

ploss_sdy = zeros(rows(lamgrid),3);
ploss_spi = zeros(rows(lamgrid),3);

lamind = 1;
do until lamind > rows(lamgrid);

    /********************************************************
    ** Open files with Policy Loss  summaries
    */

    if lamind < 10;
      llam = "0" $+ ftos(lamind,"%*.*lf",1,0);
    else;
      llam = ftos(lamind,"%*.*lf",2,0);
    endif;

    if Tind < 10;
      lsamp = "0" $+ ftos(Tind,"%*.*lf",1,0);
    else;
      lsamp = ftos(Tind,"%*.*lf",2,0);
    endif;

    lpath = resupath $+ "\\mhrun" $+ mhrunpol $+ "\\";

    if lamind == 0;
      lvpol  = lpath $+ "v" $+ modelid $+ "01" $+ lsamp $+ "ps"; 
    else;
      lvpol  = lpath $+ "v" $+ modelid $+ llam $+ lsamp $+ "ps"; 
    endif;

    /* Read Posterior Simulation Summary File:
    ** DSGE model
    */
    open fhvpol = ^lvpol for read;

    vpol_m = readr(fhvpol,1);
    vpol_s = readr(fhvpol,1);
    vpol_hpd_l = readr(fhvpol,1);
    vpol_hpd_h = readr(fhvpol,1);


    closeall fhvpol;  

    /* Collect information in vector
    */
    ploss_sdy[lamind,.] = vpol_m[1] ~ vpol_hpd_l[1] ~ vpol_hpd_h[1];
    ploss_spi[lamind,.] = vpol_m[2] ~ vpol_hpd_l[2] ~ vpol_hpd_h[2];

    lamind = lamind+1;

endo;


/* load posterior probabilities
*/
lpath = parapath $+ "\\mhrun" $+ mhrun $+ "\\";
lvdd  = lpath $+ "vd" $+ modelid $+ "dd";

open fhvdd = ^lvdd for read;

rowind = seekr(fhvdd,Tind);
dd     = readr(fhvdd,1);

/* plot results
*/

graphset;
begwind;
margin(0,0,0.2,0.2);
window(3,1,0);
fonts("microb");
_ptitlht = 0.3;
_paxht = 0.3;
_pnumht = 0.25;
_pcolor =2 ;
_pltype = {6 2 2 1};
_protate = 0; 
_plctrl = 0;
_plwidth = 5.5;
_psymsiz = 5;
_plegstr = "Mean\00090% HPD(U)\00090% HPD(L)";
xlabel("Lambda");

title("Output Growth");
ylabel("Variance Differential");
xy(lamgrid,ploss_sdy);
nextwind;

title("Inflation");
ylabel("Variance Differential");
xy(lamgrid,ploss_spi);
nextwind;

title("Log Marginal Data Density");
xy(lamgrid,dd');
endwind;
