/* filename:    dpolicy.g
** description: The program computes posterior mean and confidence bands
**              for the DSGE parameters
** created:     11/06/01
*/

/********************************************************
** Open files with parameter draws
*/

modelid = ftos(mspec,"%*.*lf",1,0);

if lamind < 10;
   llam = "0" $+ ftos(lamind,"%*.*lf",1,0);
else;
   llam = ftos(lamind,"%*.*lf",2,0);
endif;

if Tind < 10;
   lsamp = "0" $+ ftos(Tind,"%*.*lf",1,0);
else;
   lsamp = ftos(Tind,"%*.*lf",2,0);
endif;

lpath = parapath $+ "\\mhrun" $+ mhrun  $+ "\\";
opath = parapath $+ "\\mhrun" $+ mhrunp $+ "\\";

if lamind == 0;
   ldraw  = lpath $+ modelid $+ "01" $+ lsamp $+ "mh"; 
   odraw  = opath $+ modelid $+ "01" $+ lsamp $+ "mh"; 
else;
   ldraw  = lpath $+ modelid $+ llam $+ lsamp $+ "mh"; 
   odraw  = opath $+ modelid $+ llam $+ lsamp $+ "mh"; 
endif;

open fhdraw = ^ldraw for read;

drawrow = readr( fhdraw, 1); 
drawdim = cols(drawrow);
drawrow = seekr( fhdraw, 1);

create fhpoldraw = ^odraw with PARA, drawdim, 8;

eofloop = 0;
nblock  = 50;

do until eofloop; 

   drawblock = readr( fhdraw, nblock );
   nread = rows(drawblock);
   
   if pol_effect[1] == 1;
      drawblock[.,6] = pol_mean[1] + pol_std[1]*rndn(nread,1);
   endif;
   
   if pol_effect[2] == 1;
      drawblock[.,7] = pol_mean[2] + pol_std[2]*rndn(nread,1);
   endif;
   
   if pol_effect[3] == 1;
      drawblock[.,8] = pol_mean[3] + pol_std[3]*rndn(nread,1);
   endif;
      
   wr = writer(fhpoldraw,drawblock);

   eofloop = eof(fhdraw);

endo;

closeall fhdraw, fhpoldraw; 
