/* filename:    dsgeirf.g
** description: The program computes impulse response 
**              functions for the DSGE model
** created:     11/06/01
*/

/********************************************************
** Open files with Parameter Draws
*/

if lamind < 10;
   llam = "0" $+ ftos(lamind,"%*.*lf",1,0);
else;
   llam = ftos(lamind,"%*.*lf",2,0);
endif;

if Tind < 10;
   lsamp = "0" $+ ftos(Tind,"%*.*lf",1,0);
else;
   lsamp = ftos(Tind,"%*.*lf",2,0);
endif;

modelid = ftos(mspec,"%*.*lf",1,0);
omodel  = "d" $+ modelid;
lpath = parapath $+ "\\mhrun" $+ mhrun $+ "\\";

if lamind == 0;
   lpara = lpath $+ modelid $+ "01" $+ lsamp $+ "mh"; 
else;
   lpara = lpath $+ modelid $+ llam $+ lsamp $+ "mh"; 
endif;

open fhpara = ^lpara for read;

/* Initialize Output files
*/
opath     = resupath $+ "\\mhrun" $+ mhrun $+"\\";
odsgeirf  = opath $+ omodel $+ llam $+ lsamp $+ "i0";

create fhdsgeirf = ^odsgeirf with IRF, nvar^2*nirf, 8;

/* Initialization
*/ 

nblock  = 100;
eofloop = 0;
loopct  = 1;

do until eofloop; 

   /* Read blocks of size nsim
   */
   parasim = readr( fhpara, nblock );
   nread   = rows(parasim);

   locate 3,1;
   "Loop      " loopct;
   "Blocksize " nread;
   eofloop = eof(fhpara);

   irfsim = zeros(nread,nvar^2*nirf);
   
   j = 1;
   do until j > rows(parasim);
   
      impind = 1;
      do until impind > nvar;
      
         impact = zeros(nvar,1);
         impact[impind] = parasim[j,npara-nvar+impind];
         
         yyirf = dsgeirf(parasim[j,.]',mspec,nirf,impact);
         
         irfsim[j,1+(impind-1)*nvar*nirf:impind*nvar*nirf] = vec(yyirf)';
         
         impind = impind+1;
      
      endo;
         
      j = j+1;
  endo;
      
  /* Write Output
  */
  wr = writer(fhdsgeirf,irfsim);

  loopct = loopct + 1;

endo;

closeall fhpara, fhdsgeirf;
