/* filename:    irfplot.g
** description: The program plots the 
**              the VAR impulse response functions
** created:     11/06/01
*/

/********************************************************
** Open files with IRF Draw summaries
*/

modelid = ftos(mspec,"%*.*lf",1,0);

if lamind < 10;
   llam = "0" $+ ftos(lamind,"%*.*lf",1,0);
else;
   llam = ftos(lamind,"%*.*lf",2,0);
endif;

if Tind < 10;
   lsamp = "0" $+ ftos(Tind,"%*.*lf",1,0);
else;
   lsamp = ftos(Tind,"%*.*lf",2,0);
endif;

lpath = resupath $+ "\\mhrun" $+ mhrun $+ "\\";
opath = resupath $+ "\\mhrun" $+ mhrun $+ "\\";

if lamind == 0;
   lmirf  = lpath $+ "d" $+ modelid $+ "01" $+ lsamp $+ "is"; 
   lvirf  = lpath $+ "v" $+ modelid $+ "01" $+ lsamp $+ "is"; 
else;
   lmirf  = lpath $+ "d" $+ modelid $+ llam $+ lsamp $+ "is"; 
   lvirf  = lpath $+ "v" $+ modelid $+ llam $+ lsamp $+ "is"; 
endif;

ti    = seqa(1,1,nirf);

/* Read Posterior Simulation Summary File:
** DSGE model
*/
open fhmirf = ^lmirf for read;

mirf_m = readr(fhmirf,1);
mirf_s = readr(fhmirf,1);
mirf_hpd_l = readr(fhmirf,1);
mirf_hpd_h = readr(fhmirf,1);

mirf_m     = reshape(mirf_m,nvar^2,nirf)';
mirf_hpd_l = reshape(mirf_hpd_l,nvar^2,nirf)';
mirf_hpd_h = reshape(mirf_hpd_h,nvar^2,nirf)';

/* Read Posterior Simulation Summary File:
** VAR model
*/
open fhvirf = ^lvirf for read;

virf_m = readr(fhvirf,1);
virf_s = readr(fhvirf,1);
virf_hpd_l = readr(fhvirf,1);
virf_hpd_h = readr(fhvirf,1);

virf_m     = reshape(virf_m,nvar^2,nirf)';
virf_hpd_l = reshape(virf_hpd_l,nvar^2,nirf)';
virf_hpd_h = reshape(virf_hpd_h,nvar^2,nirf)';

closeall fhmirf, fhvirf;

/* Plot Impulse Response functions
*/


titlestr = "Monetary Pol -> Output"  $|
           "Monetary Pol -> Prices" $|
           "Monetary Pol -> Interest" $|
           "G-Shock -> Output" $|
           "G-Shock -> Prices" $|
           "G-Shock -> Interest" $|
           "Z-Shock -> Output" $|
           "Z-Shock -> Prices" $|
           "Z-Shock -> Interest";

ystr     = "Percent";

graphset;
begwind;
margin(0,0,0.2,0.2);
window(nvar,nvar,0);
fonts("microb");
_ptitlht = 0.3;
_paxht = 0.3;
_pnumht = 0.25;
_pcolor =2 ;
_pltype = {6 2 2 1};
_protate = 0; 
_plctrl = 0;
_plwidth = 5.5;
_psymsiz = 5;
_plegstr = "Mean\00090% HPD(U)\00090% HPD(L)\000DSGE";

pl_ind = 1;
do until pl_ind > nvar^2;

   title(titlestr[pl_ind]);
   ylabel(ystr);       
   xy(ti, virf_m[.,pl_ind]~virf_hpd_l[.,pl_ind]~virf_hpd_h[.,pl_ind]~mirf_m[.,pl_ind] );
   nextwind;
                 
   pl_ind = pl_ind+1;
endo;
    
endwind;
