/* filename:    ploss.g
** description: The program computes the effect of policy change on
**              v(dy) and v(pi)
** created:     11/06/01
*/

/********************************************************
** Open files with AC Draws
*/

if lamind < 10;
   llam = "0" $+ ftos(lamind,"%*.*lf",1,0);
else;
   llam = ftos(lamind,"%*.*lf",2,0);
endif;

if Tind < 10;
   lsamp = "0" $+ ftos(Tind,"%*.*lf",1,0);
else;
   lsamp = ftos(Tind,"%*.*lf",2,0);
endif;

lpath  = resupath $+ "\\mhrun" $+ mhrun $+ "\\";
lpathp = resupath $+ "\\mhrun" $+ mhrunpol $+ "\\";

opath  = resupath $+ "\\mhrun" $+ mhrunpol $+ "\\";

if lamind == 0;
   ldraw  = lpath $+ lmodel $+ "01" $+ lsamp $+ "ac";
   ldrawp = lpathp$+ lmodel $+ "01" $+ lsamp $+ "ac";    
   odraw  = opath $+ lmodel $+ "01" $+ lsamp $+ "pl"; 
else;
   ldraw  = lpath $+ lmodel $+ llam $+ lsamp $+ "ac"; 
   ldrawp = lpathp$+ lmodel $+ llam $+ lsamp $+ "ac";    
   odraw  = opath $+ lmodel $+ llam $+ lsamp $+ "pl"; 
endif;

open fhdraw  = ^ldraw  for read;
open fhdrawp = ^ldrawp for read;

create fhpol = ^odraw with PLOSS, 2, 8;

eofloop = 0;
nblock  = 100;
ndraws  = 0;

do until eofloop; 

   drawblock  = readr( fhdraw, nblock );
   drawblockp = readr( fhdrawp, nblock);
   
   losssim = (drawblockp[.,4]-drawblock[.,4]) ~ (drawblockp[.,8]-drawblock[.,8]); 

   wr = writer(fhpol,losssim);

   eofloop = eof(fhdraw);

endo;

closeall fhdraw, fhdrawp, fhpol; 
