/* filename:    vforplt2.g
** description: plots forecast errors
** created:     11/05/01
*/

new;
closeall;
library pgraph, user;
cls;

#include c:\projects\active\dsgeprio\Gausscgg\pathspec.g
#include c:\projects\active\dsgeprio\Gausscgg\varspec.g

mhrun  = "1";
mhrunp = "1p";
nforc  = 80;
fmin   = 1;
fmax   = 80;

outstr = outpath $+ "\\vforst2" $+ mhrun $+ ".out";

output file = ^outstr reset;
output file = ^outstr off;

/* Specify Input Files
*/
modelid    = ftos(mspec,"%*.*lf",1,0);
lpath      = predpath $+ "\\mhrun" $+ mhrun $+"\\";
lpathp     = predpath $+ "\\mhrun" $+ mhrunp $+"\\";
vdmodel     = "vd" $+ modelid;

/* Extend lambda grid for lam = 0 (unrestr VAR)
*/
lamgridex = 0 | lamgrid;

hind = 1;
do until hind > hmax;

   /* for each forecasting horizon 
   */

   if hind < 10;
      hstr = "0" $+ ftos(hind,"%*.*lf",1,0);
   else;
      hstr = ftos(hind,"%*.*lf",2,0);
   endif;

   lvderror  = lpath  $+ "\\" $+ vdmodel $+ "f" $+ hstr;
   lvdperror = lpathp $+ "\\" $+ vdmodel $+ "f" $+ hstr;

   open fhvderror  = ^lvderror for read;
   open fhvdperror = ^lvdperror for read;

   vderror  = readr(fhvderror,  nforc);
   vdperror = readr(fhvdperror, nforc);
 
   closeall fhvderror, fhvdperror;

   /* Delete invalid entries
   */
   vderror  = delif(vderror,  (vderror[.,1]  .EQ 0));
   vdperror = delif(vdperror, (vdperror[.,1] .EQ 0));

   /* Initialize Graph
   */
   graphset;
   begwind;
   margin(0,0,0.2,0.2);
   window(rows(lamgridex),3,0);
   fonts("microb");
   _ptitlht = 0.3;
   _paxht = 0.3;
   _pnumht = 0.25;
   _pcolor = 2 ;
   _pltype = {1 2 6};
   _protate = 0; 
   _plctrl = 0;
   _plwidth = 5.5;
   _psymsiz = 5;

   /* Iterate over lambda
   */
   lamindex = 1;
   do until lamindex > rows(lamgridex);

 
      titlestry = "Output Growth (Cumulative), LAMBDA = "
                 $+ ftos(lamgridex[lamindex],"%*.*lf",6,2)
                 $+ ", Horizon =" $+ hstr;

      titlestrp = "Inflation (Cumulative), LAMBDA = " 
                 $+ ftos(lamgridex[lamindex],"%*.*lf",6,2)
                 $+ ", Horizon =" $+ hstr;

      titlestrr = "Interest Rate, LAMBDA = " 
                 $+ ftos(lamgridex[lamindex],"%*.*lf",6,2)
                 $+ ", Horizon =" $+ hstr;
     
      title(titlestry);
      xy(vderror[.,1],vderror[.,1+(lamindex-1)*nvar+1]~vdperror[.,1+(lamindex-1)*nvar+1]);
      nextwind;

      title(titlestrp);
      xy(vderror[.,1],vderror[.,1+(lamindex-1)*nvar+2]~vdperror[.,1+(lamindex-1)*nvar+2]);
      nextwind;

      title(titlestrr);
      xy(vderror[.,1],vderror[.,1+(lamindex-1)*nvar+3]~vdperror[.,1+(lamindex-1)*nvar+3]);
      nextwind;

      lamindex = lamindex + 1;

   endo;   

   endwind;

   hind = hind+1;

endo;


