dlibrary -a PszTgSen,PsdTgSen;

/* This file contains the specification of the VAR model
*/
nvar     = 3;        /* number of endogenous variables */
nlags    = 4;        /* number of lags   */
mspec    = 1;        /* 1 = current inflation, 2 = expected inflation */
npara    = 13;       /* number of parameters in DSGE model */
hmax     = 2;        /* Forecast Horizon */
nirf    = 10;        /* number of impulse responses */

/* Specify grid for DSGE model prior weight */
lamgrid  =  0.5 | 2;

/* Specify grid for Minnesota prior weight */
zetgrid  = 0.5 | 1 ;
  
/* Specify Presample and Estimation Sample,
** 1955:III: T0 = 4     smallest value of T0 for which we can estimate VAR(4)
**
** 1975:II : Tend = 84  first origin for forecasts
** 1997:III: Tend = 173 last origin for forecasts  -> 90 forecast origins
**
** 1979:II : Tend = 100 (T0 = 20)
** 1982:III: Tend = 113 (T0 = 33)
** 2001:III: Tend = 189 is end of sample 
*/

T0_min   = 20;
Tend_min = 100;
Tgrid_n  = 2;  /* use 90 for forecasting exercise */
Tgrid    = seqa(T0_min,1,Tgrid_n) ~
           seqa(Tend_min,1,Tgrid_n);
          
      
